Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.internal.artifacts.publish.maven.dependencies
Class DefaultMavenDependency

    java.lang.Object
      org.gradle.api.internal.artifacts.publish.maven.dependencies.DefaultMavenDependency

All Implemented Interfaces:
  MavenDependency

    class DefaultMavenDependency
    extends java.lang.Object

author:
  Hans Dockter

Constructor Summary
`DefaultMavenDependency(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String scope, List mavenExcludes, boolean optional, java.lang.String classifier)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getArtifactId()`
`java.lang.String` | `getClassifier()`
`java.lang.String` | `getGroupId()`
`List` | `getMavenExcludes()`
`java.lang.String` | `getScope()`
`java.lang.String` | `getType()`
`java.lang.String` | `getVersion()`
`int` | `hashCode()`
`boolean` | `isOptional()`
`static DefaultMavenDependency` | `newInstance(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String scope)`
`java.lang.String` | `toString()`
`void` | `write(PrintWriter writer)`

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Constructor Detail

### DefaultMavenDependency

    public DefaultMavenDependency(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String scope, List mavenExcludes, boolean optional, java.lang.String classifier)

Method Detail

### equals

    public boolean equals(java.lang.Object o)

### getArtifactId

    public java.lang.String getArtifactId()

### getClassifier

    public java.lang.String getClassifier()

### getGroupId

    public java.lang.String getGroupId()

### getMavenExcludes

    public List getMavenExcludes()

### getScope

    public java.lang.String getScope()

### getType

    public java.lang.String getType()

### getVersion

    public java.lang.String getVersion()

### hashCode

    public int hashCode()

### isOptional

    public boolean isOptional()

### newInstance

    public static DefaultMavenDependency newInstance(java.lang.String groupId, java.lang.String artifactId, java.lang.String version, java.lang.String type, java.lang.String scope)

### toString

    @Override
    public java.lang.String toString()

### write

    public void write(PrintWriter writer)

Groovy Documentation